"use strict";

var _recompose = require("recompose");

var _envReductions = require("./env-reductions");

test('disableIsFirstRender', function () {
  var envState = {
    foo: 'foo',
    isSsrRender: true
  };
  expect((0, _envReductions.disableIsSsrRender)(envState)).toEqual({
    foo: 'foo',
    isSsrRender: false
  });
});
test('setIsOnline', function () {
  var envState = {
    foo: 'foo'
  };
  expect((0, _envReductions.setIsOnline)(envState, true)).toEqual({
    foo: 'foo',
    isOnline: true
  });
  expect((0, _recompose.compose)((0, _envReductions.setIsOnline)(false))(envState)).toEqual({
    foo: 'foo',
    isOnline: false
  });
});